org.eclipse.aether.collection

## Class CollectResult

- java.lang.Object
- - org.eclipse.aether.collection.CollectResult

-     public final class CollectResult
      extends Object

  The result of a dependency collection request.
  See Also:
    `RepositorySystem.collectDependencies(RepositorySystemSession, CollectRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectResult(CollectRequest request)` Creates a new result for the specified request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CollectResult` | `addCycle(DependencyCycle cycle)` Records the specified dependency cycle.
    `CollectResult` | `addException(Exception exception)` Records the specified exception while building the dependency graph.
    `List<DependencyCycle>` | `getCycles()` Gets the dependency cycles that were encountered while building the dependency graph.
    `List<Exception>` | `getExceptions()` Gets the exceptions that occurred while building the dependency graph.
    `CollectRequest` | `getRequest()` Gets the collection request that was made.
    `DependencyNode` | `getRoot()` Gets the root node of the dependency graph.
    `CollectResult` | `setRoot(DependencyNode root)` Sets the root node of the dependency graph.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectResult

          public CollectResult(CollectRequest request)

      Creates a new result for the specified request.
      Parameters:
        `request` - The resolution request, must not be `null`.

  - ### Method Detail

    - #### getRequest

          public CollectRequest getRequest()

      Gets the collection request that was made.
      Returns:
        The collection request, never `null`.

    - #### getExceptions

          public List<Exception> getExceptions()

      Gets the exceptions that occurred while building the dependency graph.
      Returns:
        The exceptions that occurred, never `null`.

    - #### addException

          public CollectResult addException(Exception exception)

      Records the specified exception while building the dependency graph.
      Parameters:
        `exception` - The exception to record, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getCycles

          public List<DependencyCycle> getCycles()

      Gets the dependency cycles that were encountered while building the dependency graph.
      Returns:
        The dependency cycles in the (raw) graph, never `null`.

    - #### addCycle

          public CollectResult addCycle(DependencyCycle cycle)

      Records the specified dependency cycle.
      Parameters:
        `cycle` - The dependency cycle to record, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getRoot

          public DependencyNode getRoot()

      Gets the root node of the dependency graph.
      Returns:
        The root node of the dependency graph or `null` if none.

    - #### setRoot

          public CollectResult setRoot(DependencyNode root)

      Sets the root node of the dependency graph.
      Parameters:
        `root` - The root node of the dependency graph, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.